<div class="d-flex align-items-center">
  <mat-icon
    color="primary"
    class="mx-1 cursor-pointer material-icons-outlined"
    (click)="onCloseDrawerClick()"
    (keydown)="onCloseDrawerClick()"
  >
    double_arrow
  </mat-icon>

  <h2 class="w-100">
    {{
      componentInfo
        ? (componentInfo.categoryType | titlecaseNodeName) +
          " / " +
          (componentInfo.customImage
            ? getCustomComponentName(componentInfo)
            : (componentInfo.type! | titlecaseNodeName)
                ?.replace("FE", "Front-end")
                ?.replace("BE", "Back-end"))
        : ""
    }}
  </h2>
</div>

<div class="info-table-wrapper mb-3">
  <table
    mat-table
    [dataSource]="tableDataSource"
    class="info-table"
    aria-label="Dataspace component information table"
  >
    <ng-container matColumnDef="componentProperty">
      <th *matHeaderCellDef>Property</th>
      <td mat-cell *matCellDef="let element">
        {{ element.componentProperty | titlecase }}
      </td>
    </ng-container>

    <ng-container matColumnDef="componentValue">
      <th *matHeaderCellDef>Value</th>
      <td mat-cell *matCellDef="let element">
        @if (element.componentProperty === "Last update") {
          {{ element.componentValue }}
        } @else {
          <a [href]="simplUrl" target="_blank" rel="noopener noreferrer">
            {{ element.componentValue }}
          </a>
        }
      </td>
    </ng-container>
    <tr mat-row *matRowDef="let row; columns: tableColumns"></tr>
  </table>
</div>

<a
  style="text-align: left; text-decoration: none"
  class="w-100 fs-22"
  color="primary"
  [routerLink]="['/learning']"
>
  Visit the Learning section about this topic
  <span>
    <mat-icon color="primary" class="material-icons-outlined v-align-middle">
      arrow_forward
    </mat-icon>
  </span>
</a>

<div class="navigation-wrapper mt-3">
  <div class="keen-slider keen-slider--vertical" #sliderRef>
    <div class="keen-slider__slide number-slide1">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
    <div class="keen-slider__slide number-slide2">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
    <div class="keen-slider__slide number-slide3">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
    <div class="keen-slider__slide number-slide4">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
    <div class="keen-slider__slide number-slide5">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
    <div class="keen-slider__slide number-slide6">
      <img alt="Component info dummy" [src]="'assets/images/dummy_img.png'" />
    </div>
  </div>

  <svg
    [ngClass]="
      'arrow arrow--left ' + (currentSlide === 0 ? 'arrow--disabled' : '')
    "
    (click)="slider.prev()"
    (keydown)="slider.prev()"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 24 24"
  >
    <path
      d="M16.67 0l2.83 2.829-9.339 9.175 9.339 9.167-2.83 2.829-12.17-11.996z"
    />
  </svg>
  <svg
    *ngIf="slider"
    [ngClass]="
      'arrow arrow--right ' +
      (slider.track.details.slides.length - 1 === currentSlide
        ? 'arrow--disabled'
        : '')
    "
    (click)="slider.next()"
    (keydown)="slider.next()"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 24 24"
  >
    <path d="M5 3l3.057-3 11.943 12-11.943 12-3.057-3 9-9z" />
  </svg>
</div>
<div class="dots">
  <button
    (click)="slider.moveToIdx(i)"
    *ngFor="let slide of dotHelper; let i = index"
    [class]="'dot ' + (i === currentSlide ? 'active' : '')"
  ></button>
</div>

<h3 class="w-50 mt-3">Description</h3>
<p class="w-50 mb-3">
  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam id lorem in
  purus porttitor vestibulum non vitae ligula.
</p>

<h3 class="w-50">Material</h3>
<div
  class="slabs-manual-box border-primary text-primary mb-1 d-flex align-items-center justify-content-between cursor-pointer"
>
  <div class="mr-1">
    <a
      href="https://ec.europa.eu/newsroom/dae/redirection/document/86241"
      target="_blank"
      rel="noopener noreferrer"
    >
      <mat-icon color="primary" class="material-icons-outlined v-align-middle">
        picture_as_pdf
      </mat-icon>
    </a>
  </div>
  <div class="d-flex flex-column align-items-start">
    <b> Manual </b>
    <span>2.28MB - PDF</span>
  </div>
</div>
